Bug 177682 - mail/libspf2 and mail/p5-Mail-SPF both install bin/spfquery
Summary: mail/libspf2 and mail/p5-Mail-SPF both install bin/spfquery
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-07 06:00 UTC by Doug Barton
Modified: 2013-04-28 02:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Barton 2013-04-07 06:00:00 UTC
The 2 ports create a conflict by installing the same file to the same location.

How-To-Repeat: Install both ports.
Comment 1 Edwin Groothuis freebsd_committer 2013-04-07 06:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-04-26 10:19:47 UTC
Author: sunpoet
Date: Fri Apr 26 09:19:34 2013
New Revision: 316592
URL: http://svnweb.freebsd.org/changeset/ports/316592

Log:
  - Mark CONFLICTS among mail/libspf2, mail/p5-Mail-SPF and mail/p5-Mail-SPF-Query, all of them installs PREFIX/bin/spfquery [1]
  - Bump PORTREVISION for package change
  - While I'm here:
    - Replace removed PTHREAD_LIBS with -pthread
    - Cleanup Makefile header
    - Add CPAN as primary WWW for mail/p5-Mail-SPF-Query
  
  PR:		ports/177682 [1]
  Submitted by:	dougb

Modified:
  head/mail/libspf2/Makefile   (contents, props changed)
  head/mail/p5-Mail-SPF-Query/Makefile   (contents, props changed)
  head/mail/p5-Mail-SPF-Query/pkg-descr   (contents, props changed)
  head/mail/p5-Mail-SPF/Makefile   (contents, props changed)

Modified: head/mail/libspf2/Makefile
==============================================================================
--- head/mail/libspf2/Makefile	Fri Apr 26 09:14:48 2013	(r316591)
+++ head/mail/libspf2/Makefile	Fri Apr 26 09:19:34 2013	(r316592)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:   libspf2
-# Date created:        07 July 2004
-# Whom:                snowchyld
-#
+# Created by: snowchyld
 # $FreeBSD$
-#
 
 PORTNAME=	libspf2
 PORTVERSION=	1.2.9
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	mail
 MASTER_SITES=	http://www.libspf2.org/spf/ \
 		LOCAL/sunpoet
@@ -15,14 +11,14 @@ MASTER_SITES=	http://www.libspf2.org/spf
 MAINTAINER=	sunpoet@FreeBSD.org
 COMMENT=	Sender Rewriting Scheme 2 C Implementation
 
-CONFLICTS=	${PORTNAME}-1.0.*
+CONFLICTS=	${PORTNAME}-1.0.* p5-Mail-SPF-[0-9]* p5-Mail-SPF-Query-[0-9]*
 
+GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	yes
-GNU_CONFIGURE=	yes
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|g' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e 's|-lpthread|-pthread|g' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e '/__VA_ARGS__/ s|format, ||g' ${WRKSRC}/src/include/spf_log.h
 
 .include <bsd.port.mk>

Modified: head/mail/p5-Mail-SPF-Query/Makefile
==============================================================================
--- head/mail/p5-Mail-SPF-Query/Makefile	Fri Apr 26 09:14:48 2013	(r316591)
+++ head/mail/p5-Mail-SPF-Query/Makefile	Fri Apr 26 09:19:34 2013	(r316592)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:    p5-Mail-SPF-Query
-# Date created:                         Fri Jan 16 12:32:39 PST 2004
-# Whom:                                 mharo@FreeBSD.org
-#
+# Created by: mharo@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=	Mail-SPF-Query
 PORTVERSION=	1.999.1
+PORTREVISION=	1
 CATEGORIES=	mail perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -20,7 +17,7 @@ BUILD_DEPENDS=	p5-Net-DNS>=0:${PORTSDIR}
 		p5-URI>=0:${PORTSDIR}/net/p5-URI
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-CONFLICTS=	p5-Mail-SPF-[0-9]*
+CONFLICTS=	libspf2-[0-9]* p5-Mail-SPF-[0-9]*
 
 PERL_CONFIGURE=	yes
 

Modified: head/mail/p5-Mail-SPF-Query/pkg-descr
==============================================================================
--- head/mail/p5-Mail-SPF-Query/pkg-descr	Fri Apr 26 09:14:48 2013	(r316591)
+++ head/mail/p5-Mail-SPF-Query/pkg-descr	Fri Apr 26 09:19:34 2013	(r316592)
@@ -3,4 +3,5 @@ whitelist of their designated outbound m
 envelope sender, Mail::SPF::Query determines the legitimacy
 of an SMTP client IP.
 
-WWW:	http://spf.pobox.com
+WWW: http://search.cpan.org/dist/Mail-SPF-Query/
+WWW: http://spf.pobox.com/

Modified: head/mail/p5-Mail-SPF/Makefile
==============================================================================
--- head/mail/p5-Mail-SPF/Makefile	Fri Apr 26 09:14:48 2013	(r316591)
+++ head/mail/p5-Mail-SPF/Makefile	Fri Apr 26 09:19:34 2013	(r316592)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:    p5-Mail-SPF
-# Date created:                         Thu Feb 8 18:46:25 CET 2007
-# Whom:                                 gmc@sonologic.nl
-#
+# Created by: gmc@sonologic.nl
 # $FreeBSD$
-#
 
 PORTNAME=	Mail-SPF
 PORTVERSION=	2.007
+PORTREVISION=	1
 CATEGORIES=	mail perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -23,7 +20,7 @@ RUN_DEPENDS=	p5-Net-DNS-Resolver-Program
 		p5-URI>=1.13:${PORTSDIR}/net/p5-URI
 BUILD_DEPENDS:=	${RUN_DEPENDS}
 
-CONFLICTS=	p5-Mail-SPF-Query-[0-9]*
+CONFLICTS=	libspf2-[0-9]* p5-Mail-SPF-Query-[0-9]*
 
 PERL_MODBUILD=	yes
 CONFIGURE_ARGS=	--install_path sbin=${PREFIX}/sbin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-04-26 10:20:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 Doug Barton 2013-04-28 02:19:37 UTC
Sorry, I wasn't clear about the resolution I was hoping to see. It's not 
Ok to simply mark them as conflicting with each other, as they are both 
needed for a common installation set:

pkg_info -R libspf2-1.2.9_1
Required by:
postfix-2.10.0,1

pkg_info -R p5-Mail-SPF-2.007
Required by:
p5-Mail-SpamAssassin-3.3.2_8

An appropriate fix for this situation would be to rename one or both of 
the installed spfquery binaries to a different name.

Doug